## ukui-themes 0+git20190105

=== Makefile ===
all: ukui-blue ukui-black

ukui-blue:
	$(MAKE) -C ukui-blue/

ukui-black:
	$(MAKE) -C ukui-black/
clean:
	$(MAKE) -C ukui-blue/ clean
	$(MAKE) -C ukui-black/ clean
install:
	$(MAKE) -C ukui-blue/ install
	$(MAKE) -C ukui-black/ install
uninstall:
	$(MAKE) -C ukui-blue/ uninstall
	$(MAKE) -C ukui-black/ uninstall

.PHONY: all clean ukui-blue ukui-black

=== ukui-black/Makefile ===
all: index css

index:
	cp index.theme.in index.theme

css:
	sass --style nested gtk-3.0/gtk.scss gtk-3.0/gtk.css

install:
	install -d $(DESTDIR)/usr/share/themes/ukui-black/gtk-3.0/
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui-black/index.theme
	cp gtk-3.0/assets* $(DESTDIR)/usr/share/themes/ukui-black/gtk-3.0/ -r
	install -D gtk-3.0/gtk.css $(DESTDIR)/usr/share/themes/ukui-black/gtk-3.0/gtk.css

uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui-black/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		gtk-3.0/gtk.css \
		gtk-3.0/gtk.css.map

## ukui-themes 0+git20170606

=== debian/changelog ===
ukui-themes (0+git20170606-2) unstable; urgency=medium

  * Use tracker.d.o team address (Closes: #899719)

 -- Aron Xu <aron@debian.org>  Mon, 09 Jul 2018 17:14:36 +0800

ukui-themes (0+git20170606-1) unstable; urgency=medium

  * Initial release. (Closes: #872970)

 -- Aron Xu <aron@debian.org>  Sun, 27 Aug 2017 14:11:59 +0800

=== debian/control ===
Source: ukui-themes
Section: gnome
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.0.0
Homepage: https://www.ukui.org

Package: ukui-themes
Architecture: all
Depends: gtk2-engines-murrine,
         gtk2-engines-pixbuf,
         ${misc:Depends},
Conflicts: ubuntukylin-theme,
Description: Official themes for the UKUI desktop
 This package contains the official desktop themes of the UKUI desktop
 environment.

## ukui-themes 0+git20190105

=== debian/changelog ===
ukui-themes (0+git20190105-1) unstable; urgency=medium

  * Add ukui-blue, ukui-black.
  * Remove obsolete themes.
  * Update icon theme.
  * Bump standards-version to 4.3.0.
  * Bump compat version to 12.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 05 Jan 2019 14:47:03 +0800

=== debian/control ===
Source: ukui-themes
Section: gnome
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper (>= 12),
               sass,
Standards-Version: 4.3.0
Homepage: https://www.ukui.org
Vcs-Git: https://github.com/ukui/ukui-themes.git
Vcs-Browser: https://github.com/ukui/ukui-themes

Package: ukui-themes
Architecture: all
Depends: ${misc:Depends},
Conflicts: ubuntukylin-theme,
Description: Official themes for the UKUI desktop
 This package contains the official desktop themes of the UKUI desktop
 environment.

## ukui-themes 0+git20190530

=== debian/changelog ===
ukui-themes (0+git20190530-1) unstable; urgency=medium

  * Adjust ukui-black theme.
  * Add some new icons for ukui-icon-theme.
  * Make the build reproducible. (Closes: #920595)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 30 May 2019 15:04:14 +0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install -X.sass-cache

## ukui-themes 1.2.0

=== debian/changelog ===
ukui-themes (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump standards-vertion to 4.5.0.
    - Set Rules-Requires-Root to no.
    - use debhelper-compat.
  * debian/rules:
    - Add export NO_PNG_PKG_MANGLE=1.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Mar 2020 14:33:59 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                sass,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.ukui.org
 Vcs-Git: https://github.com/ukui/ukui-themes.git
 Vcs-Browser: https://github.com/ukui/ukui-themes

## ukui-themes 1.4.0

=== debian/changelog ===
ukui-themes (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 17 Jul 2020 11:42:46 +0800

ukui-themes (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Upgrade debhelper-compat level to 13.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 28 Jun 2020 17:03:12 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                sass,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## ukui-themes 1.4.1

=== Makefile ===
all:  ukui ukui-dark ukui-light ukui-white ukui-black dark-sense blue-crystal

ukui:
	$(MAKE) -C themes/ukui/
ukui-dark:
	$(MAKE) -C themes/ukui-dark/
ukui-black:
	$(MAKE) -C themes/ukui-black/
ukui-light:
	$(MAKE) -C themes/ukui-light/
ukui-white:
	$(MAKE) -C themes/ukui-white/
dark-sense:
	$(MAKE) -C dark-sense/
blue-crystal:
	$(MAKE) -C blue-crystal/
clean:
	$(MAKE) -C themes/ukui/ clean
	$(MAKE) -C themes/ukui-dark/ clean
	$(MAKE) -C themes/ukui-black/ clean
	$(MAKE) -C themes/ukui-light/ clean
	$(MAKE) -C themes/ukui-white/ clean
	$(MAKE) -C blue-crystal/ clean
	$(MAKE) -C dark-sense/ clean
install:
	$(MAKE) -C themes/ukui/ install
	$(MAKE) -C themes/ukui-dark/ install
	$(MAKE) -C themes/ukui-black/ install
	$(MAKE) -C themes/ukui-light/ install
	$(MAKE) -C themes/ukui-white/ install
	$(MAKE) -C blue-crystal/ install
	$(MAKE) -C dark-sense/ install
uninstall:
	$(MAKE) -C themes/ukui/ uninstall
	$(MAKE) -C themes/ukui-dark/ uninstall
	$(MAKE) -C themes/ukui-black/ uninstall
	$(MAKE) -C themes/ukui-light/ uninstall
	$(MAKE) -C themes/ukui-white/ uninstall
	$(MAKE) -C blue-crystal/ uninstall
	$(MAKE) -C dark-sense/ uninstall

.PHONY: all clean ukui ukui-dark ukui-light ukui-black ukui-white blue-crystal dark-sense

=== themes/ukui-black/Makefile ===
SASS ?=sass

all: index 
	
index:
	cp index.theme.in index.theme


install:
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui-black/index.theme


uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui-black/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		.Makefile.swp \

=== themes/ukui-dark/Makefile ===
SASS ?=sass

all: index css
	
index:
	cp index.theme.in index.theme

css:
	$(SASS) --style nested gtk-3.0/gtk.scss gtk-3.0/gtk.css

install:
	install -d $(DESTDIR)/usr/share/themes/ukui-dark/gtk-3.0/
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui-dark/index.theme
	cp gtk-3.0/assets* $(DESTDIR)/usr/share/themes/ukui-dark/gtk-3.0/ -r
	install -D gtk-3.0/gtk.css $(DESTDIR)/usr/share/themes/ukui-dark/gtk-3.0/gtk.css

uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui-dark/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		.Makefile.swp \
		gtk-3.0/gtk.css \
		gtk-3.0/gtk.css.map \
		gtk-3.0/.sass-cache \

=== themes/ukui-light/Makefile ===
SASS ?=sass

all: index css
	
index:
	cp index.theme.in index.theme

css:
	$(SASS) --style nested gtk-3.0/gtk.scss gtk-3.0/gtk.css

install:
	install -d $(DESTDIR)/usr/share/themes/ukui-light/gtk-3.0/
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui-light/index.theme
	cp gtk-3.0/assets* $(DESTDIR)/usr/share/themes/ukui-light/gtk-3.0/ -r
	install -D gtk-3.0/gtk.css $(DESTDIR)/usr/share/themes/ukui-light/gtk-3.0/gtk.css

uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui-light/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		.Makefile.swp \
		gtk-3.0/gtk.css \
		gtk-3.0/gtk.css.map \
		gtk-3.0/.sass-cache \

=== themes/ukui-white/Makefile ===
SASS ?=sass

all: index 
	
index:
	cp index.theme.in index.theme


install:
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui-white/index.theme


uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui-white/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		.Makefile.swp \

=== themes/ukui/Makefile ===
SASS ?=sass

all: index 
	
index:
	cp index.theme.in index.theme


install:
	install -m 644 -D index.theme $(DESTDIR)/usr/share/themes/ukui/index.theme


uninstall:
	rm -rf $(DESTDIR)/usr/share/themes/ukui/

clean:
	rm -rf index.theme \
		.sass-cache/ \
		.Makefile.swp \

=== debian/changelog ===
ukui-themes (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Define @text_view_bg. (Closes: #970982)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 05 Jan 2021 03:07:22 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: debhelper-compat (= 13),
                sass,
-Standards-Version: 4.5.0
+               x11-apps
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org
 Vcs-Git: https://github.com/ukui/ukui-themes.git

## ukui-themes 3.0.1

=== debian/changelog ===
ukui-themes (3.0.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #985715)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 26 Mar 2021 11:21:10 +0000

ukui-themes (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 17 Mar 2021 14:05:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                sass,
-               x11-apps
+               x11-apps,
+               meson,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org

=== debian/watch ===
version=4
https://github.com/ukui/ukui-themes/releases .*/ukui-themes_(\d\S+)\.orig\.tar\.gz

## ukui-themes 3.0.3

=== debian/changelog ===
ukui-themes (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 23 Feb 2022 11:24:48 +0800

ukui-themes (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 19 Aug 2021 13:56:27 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                sass,
                x11-apps,
                meson,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export NO_PNG_PKG_MANGLE=1
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-themes-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-themes/releases .*/v?(\d\S+)\.tar\.gz
